NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsStreamInfo Struct Reference
Types

`#include <nats.h>`

## Public Attributes
jsStreamConfig * | Config
int64_t | Created
| UTC time expressed as number of nanoseconds since epoch.
jsStreamState | State
jsClusterInfo * | Cluster
jsStreamSourceInfo * | Mirror
jsStreamSourceInfo ** | Sources
int | SourcesLen
jsStreamAlternate ** | Alternates
int | AlternatesLen

## Detailed Description

Configuration and current state for this stream.

Note
  `Created` is the timestamp when the stream was created, expressed as the number of nanoseconds passed since 00:00:00 UTC Thursday, 1 January 1970.

## Member Data Documentation

## ◆ Config

jsStreamConfig* jsStreamInfo::Config

## ◆ Created

int64_t jsStreamInfo::Created

## ◆ State

jsStreamState jsStreamInfo::State

## ◆ Cluster

jsClusterInfo* jsStreamInfo::Cluster

## ◆ Mirror

jsStreamSourceInfo* jsStreamInfo::Mirror

## ◆ Sources

jsStreamSourceInfo** jsStreamInfo::Sources

## ◆ SourcesLen

int jsStreamInfo::SourcesLen

## ◆ Alternates

jsStreamAlternate** jsStreamInfo::Alternates

## ◆ AlternatesLen

int jsStreamInfo::AlternatesLen

The documentation for this struct was generated from the following file:

- nats.h